Skip to main content
GET
/
products
/
{id}
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

const product = await client.products.retrieve('pdt_R8AWMPiV8RyJElcCKvAID');

console.log(product.brand_id);
import os
from dodopayments import DodoPayments

client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
product = client.products.retrieve(
"pdt_R8AWMPiV8RyJElcCKvAID",
)
print(product.brand_id)
package main

import (
"context"
"fmt"

"github.com/dodopayments/dodopayments-go"
"github.com/dodopayments/dodopayments-go/option"
)

func main() {
client := dodopayments.NewClient(
option.WithBearerToken("My Bearer Token"),
)
product, err := client.Products.Get(context.TODO(), "pdt_R8AWMPiV8RyJElcCKvAID")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", product.BrandID)
}
package com.dodopayments.api.example;

import com.dodopayments.api.client.DodoPaymentsClient;
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;
import com.dodopayments.api.models.products.Product;
import com.dodopayments.api.models.products.ProductRetrieveParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();

Product product = client.products().retrieve("pdt_R8AWMPiV8RyJElcCKvAID");
}
}
package com.dodopayments.api.example

import com.dodopayments.api.client.DodoPaymentsClient
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient
import com.dodopayments.api.models.products.Product
import com.dodopayments.api.models.products.ProductRetrieveParams

fun main() {
val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()

val product: Product = client.products().retrieve("pdt_R8AWMPiV8RyJElcCKvAID")
}
require "dodopayments"

dodo_payments = Dodopayments::Client.new(
bearer_token: "My Bearer Token",
environment: "test_mode" # defaults to "live_mode"
)

product = dodo_payments.products.retrieve("pdt_R8AWMPiV8RyJElcCKvAID")

puts(product)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Dodopayments\Client;
use Dodopayments\Core\Exceptions\APIException;

$client = new Client(
bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',
environment: 'test_mode',
);

try {
$product = $client->products->retrieve('pdt_R8AWMPiV8RyJElcCKvAID');

var_dump($product);
} catch (APIException $e) {
echo $e->getMessage();
}
using System;
using DodoPayments.Client;
using DodoPayments.Client.Models.Products;

DodoPaymentsClient client = new();

ProductRetrieveParams parameters = new() { ID = "pdt_R8AWMPiV8RyJElcCKvAID" };

var product = await client.Products.Retrieve(parameters);

Console.WriteLine(product);
use dodopayments::Client;

#[tokio::main]
async fn main() -> dodopayments::Result<()> {
let client = Client::from_env()?;
let id = "id";
let result = client
.products()
.retrieve()
.id(id)
.await?;
println!("{result:?}");
Ok(())
}
curl --request GET \
--url https://test.dodopayments.com/products/{id} \
--header 'Authorization: Bearer <token>'
{
  "brand_id": "<string>",
  "business_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "credit_entitlements": [
    {
      "credit_entitlement_id": "<string>",
      "credit_entitlement_name": "<string>",
      "credit_entitlement_unit": "<string>",
      "credits_amount": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "overage_enabled": true,
      "rollover_enabled": true,
      "trial_credits_expire_after_trial": true,
      "expires_after_days": 123,
      "low_balance_threshold_percent": 123,
      "max_rollover_count": 123,
      "overage_limit": "<string>",
      "price_per_unit": "<string>",
      "rollover_percentage": 123,
      "rollover_timeframe_count": 123,
      "trial_credits": "<string>"
    }
  ],
  "entitlements": [
    {
      "id": "<string>",
      "integration_config": {
        "feature_id": "<string>",
        "feature_type": "boolean"
      },
      "name": "<string>",
      "description": "<string>"
    }
  ],
  "is_recurring": true,
  "license_key_enabled": true,
  "metadata": {},
  "price": {
    "discount": 123,
    "price": 123,
    "purchasing_power_parity": true,
    "type": "one_time_price",
    "pay_what_you_want": true,
    "suggested_price": 123,
    "tax_inclusive": true
  },
  "product_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "addons": [
    "<string>"
  ],
  "description": "<string>",
  "digital_product_delivery": {
    "files": [
      {
        "download_url": "<string>",
        "expires_in": 123,
        "file_id": "<string>",
        "filename": "<string>",
        "content_type": "<string>",
        "file_size": 123
      }
    ],
    "external_url": "<string>",
    "instructions": "<string>"
  },
  "image": "<string>",
  "license_key_activation_message": "<string>",
  "license_key_activations_limit": 123,
  "license_key_duration": {
    "count": 123
  },
  "name": "<string>",
  "product_collection_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Product Id

Response

Product Details

brand_id
string
required
business_id
string
required

Unique identifier for the business to which the product belongs.

created_at
string<date-time>
required

Timestamp when the product was created.

credit_entitlements
object[]
required

Attached credit entitlements with settings

entitlements
object[]
required

Attached entitlements (integration-based access grants)

is_recurring
boolean
required

Indicates if the product is recurring (e.g., subscriptions).

license_key_enabled
boolean
required
deprecated

Indicates whether the product requires a license key.

metadata
Metadata · object
required

Additional custom data associated with the product

price
One Time Price · object
required

Pricing information for the product.

product_id
string
required

Unique identifier for the product.

tax_category
enum<string>
required

Tax category associated with the product.

Available options:
digital_products,
saas,
e_book,
edtech
updated_at
string<date-time>
required

Timestamp when the product was last updated.

addons
string[] | null

Available Addons for subscription products

description
string | null

Description of the product, optional.

digital_product_delivery
null | Digital Product Delivery · object

Digital-product-delivery payload, present on grants for digital_files entitlements. Each file carries a short-lived presigned download URL.

image
string | null

URL of the product image, optional.

license_key_activation_message
string | null
deprecated

Message sent upon license key activation, if applicable.

license_key_activations_limit
integer<int32> | null
deprecated

Limit on the number of activations for the license key, if enabled.

license_key_duration
null | License Key Duration · object

Duration of the license key validity, if enabled.

name
string | null

Name of the product, optional.

pricing_mode
null | enum<string>

Pricing mode for localized pricing. NULL means base-only (no localized rules apply).

Available options:
by_currency,
by_country
product_collection_id
string | null

The product collection ID this product belongs to, if any

Last modified on March 25, 2026